PATCH
/
v3
/
workspaces
/
{workspaceId}
/
folders
/
{folderId}
Update Workspace Folder
curl --request PATCH \
  --url http://127.0.0.1:3333/v3/workspaces/{workspaceId}/folders/{folderId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "parentFolderId": "<string>"
}
'
{
  "folder": {
    "id": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "parentFolderId": "<string>",
    "workspaceId": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspaceId
string
required
folderId
string
required

Body

application/json
name
string
parentFolderId
string | null

Response

200 - application/json

Default Response

folder
object
required